"it cannot be used with a 32-bit wineserver"

Questions about Wine on Linux
Post Reply
KebabBoy
Newbie
Newbie
Posts: 2
Joined: Wed Mar 18, 2020 7:09 am

"it cannot be used with a 32-bit wineserver"

Post by KebabBoy » Wed Mar 18, 2020 10:35 am

Hi,
have a wonderful evening.

I get this ominous error message "wine: '/root/.wine' is a 64-bit installation, it cannot be used with a 32-bit wineserver" when I open the file:
wine-stable-i386_x86_64-bionic.AppImage
https://github.com/mmtrt/Wine_Appimage/releases

Wie kann ich den Fehler beheben?
Würde mich über Hilfe freuen :)

System: Linux debian 4.19.0-8-amd64 #1 SMP Debian 4.19.98-1 (2020-01-26) x86_64 GNU/Linux
Session: KDE Plasma X11

apt list --installed | grep wine:

Code: Select all

fonts-wine/stable,stable,stable,stable,now 4.0-2 all  [Installiert,automatisch]
libkwineffects11/stable,stable,now 4:5.14.5-1 amd64  [Installiert,automatisch]
libwine/stable,stable,now 4.0-2 i386  [Installiert,automatisch]
wine-staging-amd64/stable,unbekannt,now 5.4~buster amd64  [Installiert,automatisch]
wine-staging-i386/stable,unbekannt,now 5.4~buster i386  [Installiert,automatisch]
wine-staging/stable,unbekannt,now 5.4~buster amd64  [Installiert,automatisch]
wine32-preloader/stable,stable,now 4.0-2 i386  [installiert]
wine32/stable,stable,now 4.0-2 i386  [Installiert,automatisch]
winehq-staging/stable,unbekannt,now 5.4~buster amd64  [installiert][/quote]

Wine Version:
[code]wine-5.4 (Staging)
source.list:

Code: Select all

# 

# deb cdrom:[Debian GNU/Linux 10.2.0 _Buster_ - Official amd64 NETINST 20191116-09:56]/ buster main

# deb cdrom:[Debian GNU/Linux 10.2.0 _Buster_ - Official amd64 NETINST 20191116-09:56]/ buster main

deb http://deb.debian.org/debian/ buster main non-free contrib
deb-src http://deb.debian.org/debian/ buster main non-free contrib

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main contrib non-free
deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.

#new stuff
deb http://ftp.au.debian.org/debian/ buster main non-free
deb-src http://ftp.au.debian.org/debian/ buster main non-free

deb https://dl.winehq.org/wine-builds/debian/ buster main
# deb-src https://dl.winehq.org/wine-builds/debian/ buster main

jkfloris
Level 7
Level 7
Posts: 863
Joined: Thu Aug 14, 2014 10:10 am

Re: "it cannot be used with a 32-bit wineserver"

Post by jkfloris » Fri Mar 20, 2020 3:26 pm

A few things I notice:

- wine-stable-i386_x86_64-bionic.AppImage is not an Wine version supported by WineHQ or on this forum.
Why do you need a custom build Wine version? It looks like you have successfully installed Wine staging.

- Maybe this AppImage does work differently on Ubuntu, but on Debian it creates a 32-bit prefix.
You could run the ApppImage with:

Code: Select all

WINEPREFIX=~/custom-wine ./wine-stable-i386_x86_64-bionic.AppImage wine winecfg
- Don't run wine and AppImages as root.

KebabBoy
Newbie
Newbie
Posts: 2
Joined: Wed Mar 18, 2020 7:09 am

Re: "it cannot be used with a 32-bit wineserver"

Post by KebabBoy » Fri Mar 20, 2020 3:37 pm

jkfloris wrote:
Fri Mar 20, 2020 3:26 pm
A few things I notice:

- wine-stable-i386_x86_64-bionic.AppImage is not an Wine version supported by WineHQ or on this forum.
Why do you need a custom build Wine version? It looks like you have successfully installed Wine staging.

- Maybe this AppImage does work differently on Ubuntu, but on Debian it creates a 32-bit prefix.
You could run the ApppImage with:

Code: Select all

WINEPREFIX=~/custom-wine ./wine-stable-i386_x86_64-bionic.AppImage wine winecfg
- Don't run wine and AppImages as root.
Thanks, it works!
I need this for League of Legends. It significantly improves performance.

Post Reply